org.fourthline.cling.model.message.header

## Class DeviceTypeHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<DeviceType>
  - - org.fourthline.cling.model.message.header.DeviceTypeHeader

- Direct Known Subclasses:
    UDADeviceTypeHeader

      public class DeviceTypeHeader
      extends UpnpHeader<DeviceType>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceTypeHeader()`
    `DeviceTypeHeader(DeviceType value)`
    `DeviceTypeHeader(URI uri)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceTypeHeader

          public DeviceTypeHeader()

    - #### DeviceTypeHeader

          public DeviceTypeHeader(URI uri)

    - #### DeviceTypeHeader

          public DeviceTypeHeader(DeviceType value)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<DeviceType>`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<DeviceType>`
      Returns:
        A string representing this header's value.

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.